{
    "$graph": [
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/m1"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "source": "#main/m1",
                            "id": "#main/step1/m1"
                        }
                    ],
                    "out": [
                        "#main/step1/out"
                    ],
                    "run": "#echo.cwl",
                    "id": "#main/step1"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": "string",
                    "outputSource": "#main/step1/out",
                    "id": "#main/out"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                }
            ],
            "hints": [
                {
                    "envDef": [
                        {
                            "envValue": "hello1",
                            "envName": "MESSAGE"
                        }
                    ],
                    "class": "EnvVarRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#echo.cwl/m1"
                }
            ],
            "outputs": [
                {
                    "id": "#echo.cwl/out",
                    "type": "string",
                    "outputBinding": {
                        "glob": "out.txt",
                        "loadContents": true,
                        "outputEval": "$(self[0].contents)"
                    }
                }
            ],
            "arguments": [
                "echo",
                "$(inputs.m1)",
                {
                    "shellQuote": false,
                    "valueFrom": "$MESSAGE"
                }
            ],
            "stdout": "out.txt",
            "id": "#echo.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
